METAMODEL-1206: Solved Maven version dependent unit test issues.
authorKasper Sørensen <i.am.kasper.sorensen@gmail.com>
Thu, 29 Nov 2018 16:22:26 +0000 (08:22 -0800)
committerKasper Sørensen <i.am.kasper.sorensen@gmail.com>
Thu, 29 Nov 2018 16:22:26 +0000 (08:22 -0800)
Closes #198

CHANGES.md
elasticsearch/common/src/test/java/org/apache/metamodel/elasticsearch/common/ElasticSearchMetaDataParserTest.java [moved from elasticsearch/native/src/test/java/org/apache/metamodel/elasticsearch/nativeclient/ElasticSearchMetaDataParserTest.java with 93% similarity]

index a426d3a..d573809 100644 (file)
@@ -1,6 +1,7 @@
 ### Apache MetaModel 5.x (WIP)
 
  * [METAMODEL-1205] - Updated build and dependencies to be JDK8-11 compatible. Important updates include Guava, POI, Cassandra, Hadoop.
+ * [METAMODEL-1206] - Solved Maven version dependent unit test issues in ElasticSearch-native module.
 
 ### Apache MetaModel 5.1.1
 
  * specific language governing permissions and limitations
  * under the License.
  */
-package org.apache.metamodel.elasticsearch.nativeclient;
+package org.apache.metamodel.elasticsearch.common;
 
 import java.util.LinkedHashMap;
 import java.util.Map;
 
 import junit.framework.TestCase;
 
-import org.apache.metamodel.elasticsearch.common.ElasticSearchMetaData;
-import org.apache.metamodel.elasticsearch.common.ElasticSearchMetaDataParser;
 import org.apache.metamodel.schema.ColumnType;
 import org.elasticsearch.common.collect.MapBuilder;